
Foreman - Feature #540

Foreman should manage its Smart proxies

12/16/2010 09:46 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Smart Proxy   

Target version: 0.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

During host lifecycle, foreman should update the proxies if required.

this should handle failure detection when one of the sub systems fails too.

First implemention should include DHCP, DNS and TFTP

Related issues:

Related to Foreman - Feature #342: Add a tftp netdb type Closed 07/06/2010

Associated revisions

Revision 90b83222 - 12/16/2010 10:10 AM - Ohad Levy

Fixes #540 - Manages sub proxies

Automates the creation of DHCP, DNS and TFTP settings on remote servers.

This handles all required settings in order to prepare a machine for provisioning.

DHCP:

Reservation will be created per host, setting the following options:

Hostname, ip, mac, boot server, boot filename

If an admin interface exists (service processor, ilom etc) a reservation can be created for it as well.

DNS:

Primary record and reverse

SP / iLOM record

TFTP:

Fetch required boot files (kernel, initrd)

Setup syslinux(pxelinux) config file based on the host MAC address.

NOTE: fetching of boot files are currently limited to http(s)/ftp media.

This patch introduce the following items:

Generic Queue and Task in order to schedule smart proxies orchestration

handle rollbacks in case of a proxy failure

handle sub systems in respect to the object state ( new host, update host, delete host etc).

Auto detection of host state, which means that hosts which don't have a proxy configure

(via its subnet or domain) will not be triggering any changes.

History

#1 - 12/16/2010 10:16 AM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 90b83222b7b9b819d1b0ea8847fdda66d70a4088.
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/90b83222b7b9b819d1b0ea8847fdda66d70a4088


#2 - 12/20/2010 05:36 AM - Ohad Levy

- Status changed from Ready For Testing to Closed
